Get a property

​

Read one property in your organization, including its address, coordinates and co-applicant when present. customerId is null when the property is not attached to a customer.

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/external/v2/properties/{propertyId}
curl https://sales-api.artemis.solar/external/v2/properties/123e4567-e89b-12d3-a456-426614174000 \
  --header 'x-api-key: YOUR_SECRET_TOKEN'
Property address and co-applicant
{
  "data": {
    "id": "43a2bf90-150e-4b50-b0e5-f148c00a6235",
    "customerId": "ba0d6c03-465a-4c47-8e7c-4d6cf26bcf22",
    "street": "123 Main St",
    "city": "Pleasanton",
    "state": "CA",
    "zipcode": "94566",
    "countryCode": "US",
    "latitude": 37.6624,
    "longitude": -121.8747,
    "coApplicant": {
      "id": "9660f080-8026-40d0-a226-9016f9fc4d2e",
      "firstName": "Alex",
      "lastName": "Rivera",
      "email": "alex.rivera@example.com",
      "phoneNumber": "+14155550124"
    },
    "createdAt": "2026-09-05T12:00:00.000Z",
    "updatedAt": "2026-09-05T12:00:00.000Z"
  }
}